API Reference
Log In
API Reference

Create a new Product

Creates a new product.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Product configuration including name, version, pricing plan, and optional metadata

A Product

team
string | null
required

The unique identifier of the team that owns this product

owner
string | null
required

The unique identifier of the product owner

sourceConfiguration
string | null

The source configuration ID

sourceIds
array of strings | null

The source IDs associated with the product

sourceIds
environment
string | null

The environment id

string
required

The name of the product

string
required

The version of the product following semantic versioning (MAJOR.MINOR.PATCH). When creating a product, specify the initial version (e.g., '1.0.0'). When updating a product, the API automatically increments the version based on internal versioning rules. You can specify a version in the update request, but the API may override it

string | null

An external label for the product that is exposed in developer portals

plan
required
string | null

An external label for the product that is exposed in developer portals

string | null

An external identifier (ie, in a api management system) that is associated with the Product

string | null

An external id for the product that is exposed in developer portals

string | null

The description of the product

string | null

The description of the product (HTML formatted)

string | null

A short description of the product

string | null

The short description of the product (HTML formatted)

boolean | null

Whether or not the product is published to a developer portal

boolean | null

Whether or not the product is in preview mode in a developer portal

string | null
enum

The audience restriction, if any, on a product

Allowed:
string | null

The product code

boolean | null

Notify client when an invoice is generated for this product

notificationAddressesOnInvoice
array of strings | null

A list of email addresses to notify when an invoice is generated for this product

notificationAddressesOnInvoice
string | null

The product's logo as a byte array

string | null

An external API group identifier (ie, in a API management system) that is associated with the Product

string | null

The pricing description

string | null

The pricing description (HTML formatted)

tags
array of strings | null

A list of tags associated with this product. Optional field - can be omitted entirely, provided as empty array [], or contain tag values

tags
terms
array of objects | null

Terms and conditions associated with this product.

terms
invoiceManagement
string | null
enum

The product payment source

Allowed:
boolean
required

Whether to display the coming soon ribbon

string | null

The text to display in the coming soon ribbon

string | null
enum

The metering models associated with the product. Optional field - can be omitted entirely, provided as empty array [], or contain model values

Allowed:
boolean | null

Whether to notify the client when the trial is about to expire

string | null

The payment configuration ID associated with the product

double | null

The threshold Percentage for tier quota notifications

double | null

The displayPriority of the product

string | null

The Anypoint configuration ID associated with the product

performanceDefinition
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*